<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>libmcm: mcm_modem_info Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">libmcm
   &#160;<span id="projectnumber">1.4.0</span>
   </div>
   <div id="projectbrief">A client library for Moxa Connection Management</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('structmcm__modem__info.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structmcm__modem__info-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">mcm_modem_info Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="mcm-base-info_8h_source.html">mcm-base-info.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a1740860ed66e5bd075efb2edaf871399"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmcm__modem__info.html#a1740860ed66e5bd075efb2edaf871399">cell_id</a> [16]</td></tr>
<tr class="separator:a1740860ed66e5bd075efb2edaf871399"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a68f8bb73deb7804109ecc3226cc0f253"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmcm__modem__info.html#a68f8bb73deb7804109ecc3226cc0f253">device_imei</a> [16]</td></tr>
<tr class="separator:a68f8bb73deb7804109ecc3226cc0f253"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5be7d34fa01685c6aaf929ed05245226"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmcm__modem__info.html#a5be7d34fa01685c6aaf929ed05245226">network_rat</a> [16]</td></tr>
<tr class="separator:a5be7d34fa01685c6aaf929ed05245226"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f26588354e963ac73118a7a7accdcb6"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmcm__modem__info.html#a6f26588354e963ac73118a7a7accdcb6">operator[32]</a></td></tr>
<tr class="separator:a6f26588354e963ac73118a7a7accdcb6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a43af76995a662081cfd4dcf84b3c3069"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmcm__modem__info.html#a43af76995a662081cfd4dcf84b3c3069">sim_iccid</a> [32]</td></tr>
<tr class="separator:a43af76995a662081cfd4dcf84b3c3069"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af459e1c64a5c79b5fd1beb4aa6c51361"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmcm__modem__info.html#af459e1c64a5c79b5fd1beb4aa6c51361">sim_imsi</a> [16]</td></tr>
<tr class="separator:af459e1c64a5c79b5fd1beb4aa6c51361"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1bfc9ca217a1f7ff211f9cf2bea72a4f"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmcm__modem__info.html#a1bfc9ca217a1f7ff211f9cf2bea72a4f">taclac</a> [16]</td></tr>
<tr class="separator:a1bfc9ca217a1f7ff211f9cf2bea72a4f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a253299cd4ce7b8ca1820ea6fa28cbb9d"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmcm__modem__info.html#a253299cd4ce7b8ca1820ea6fa28cbb9d">pin_retries</a></td></tr>
<tr class="separator:a253299cd4ce7b8ca1820ea6fa28cbb9d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a01a3b89aec45fe3d7a2203e8a629df42"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmcm__modem__info.html#a01a3b89aec45fe3d7a2203e8a629df42">signal_strength</a></td></tr>
<tr class="separator:a01a3b89aec45fe3d7a2203e8a629df42"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a77d71118b5d930ca2f8b6a6a65d9ffda"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmcm__modem__info.html#a77d71118b5d930ca2f8b6a6a65d9ffda">sim_slot</a></td></tr>
<tr class="separator:a77d71118b5d930ca2f8b6a6a65d9ffda"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a516cdcb26f55816e6a760c168db7fae7"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmcm__modem__info.html#a516cdcb26f55816e6a760c168db7fae7">modem_state</a></td></tr>
<tr class="separator:a516cdcb26f55816e6a760c168db7fae7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a61679b42ca66eb3ce83c2215b484ce3b"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmcm__modem__info.html#a61679b42ca66eb3ce83c2215b484ce3b">modem_name</a> [64]</td></tr>
<tr class="separator:a61679b42ca66eb3ce83c2215b484ce3b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1f2b316c1888c57b23787361af56752e"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmcm__modem__info.html#a1f2b316c1888c57b23787361af56752e">modem_version</a> [64]</td></tr>
<tr class="separator:a1f2b316c1888c57b23787361af56752e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aad28ac10c9948b450f48f10b362fc450"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmcm__modem__info.html#aad28ac10c9948b450f48f10b362fc450">umts_rssi</a></td></tr>
<tr class="separator:aad28ac10c9948b450f48f10b362fc450"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa8068f0cee56b44687d574f34d313501"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmcm__modem__info.html#aa8068f0cee56b44687d574f34d313501">umts_ecio</a></td></tr>
<tr class="separator:aa8068f0cee56b44687d574f34d313501"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5d12e7233fd54d1be30b3e4daf5bad00"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmcm__modem__info.html#a5d12e7233fd54d1be30b3e4daf5bad00">lte_rsrp</a></td></tr>
<tr class="separator:a5d12e7233fd54d1be30b3e4daf5bad00"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a07baac4587e4648b14672b280c4af366"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmcm__modem__info.html#a07baac4587e4648b14672b280c4af366">lte_rssnr</a></td></tr>
<tr class="separator:a07baac4587e4648b14672b280c4af366"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a518e283b3db6a55a155696f519533d52"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmcm__modem__info.html#a518e283b3db6a55a155696f519533d52">nr_rsrp</a></td></tr>
<tr class="separator:a518e283b3db6a55a155696f519533d52"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a93a0fff610bb61550adced4a086ff7"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structmcm__modem__info.html#a9a93a0fff610bb61550adced4a086ff7">nr_snr</a></td></tr>
<tr class="separator:a9a93a0fff610bb61550adced4a086ff7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Data structure for modem interface information </p>
</div><h2 class="groupheader">Member Data Documentation</h2>
<a id="a1740860ed66e5bd075efb2edaf871399"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1740860ed66e5bd075efb2edaf871399">&#9670;&nbsp;</a></span>cell_id</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char mcm_modem_info::cell_id[16]</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>cell id </p>

</div>
</div>
<a id="a68f8bb73deb7804109ecc3226cc0f253"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a68f8bb73deb7804109ecc3226cc0f253">&#9670;&nbsp;</a></span>device_imei</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char mcm_modem_info::device_imei[16]</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>device imei </p>

</div>
</div>
<a id="a5d12e7233fd54d1be30b3e4daf5bad00"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5d12e7233fd54d1be30b3e4daf5bad00">&#9670;&nbsp;</a></span>lte_rsrp</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t mcm_modem_info::lte_rsrp</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>4G RSRP </p>

</div>
</div>
<a id="a07baac4587e4648b14672b280c4af366"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a07baac4587e4648b14672b280c4af366">&#9670;&nbsp;</a></span>lte_rssnr</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t mcm_modem_info::lte_rssnr</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>4G RSSNR </p>

</div>
</div>
<a id="a61679b42ca66eb3ce83c2215b484ce3b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a61679b42ca66eb3ce83c2215b484ce3b">&#9670;&nbsp;</a></span>modem_name</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char mcm_modem_info::modem_name[64]</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>modem name </p>

</div>
</div>
<a id="a516cdcb26f55816e6a760c168db7fae7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a516cdcb26f55816e6a760c168db7fae7">&#9670;&nbsp;</a></span>modem_state</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t mcm_modem_info::modem_state</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>modem state (Indexed by <a class="el" href="mcm-modem-info_8h.html#ad2bb07396a290d6e6e8cebaf8e019d32">McmModemState</a>) </p>

</div>
</div>
<a id="a1f2b316c1888c57b23787361af56752e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1f2b316c1888c57b23787361af56752e">&#9670;&nbsp;</a></span>modem_version</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char mcm_modem_info::modem_version[64]</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>modem FWR version </p>

</div>
</div>
<a id="a5be7d34fa01685c6aaf929ed05245226"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5be7d34fa01685c6aaf929ed05245226">&#9670;&nbsp;</a></span>network_rat</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char mcm_modem_info::network_rat[16]</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>network rat </p>

</div>
</div>
<a id="a518e283b3db6a55a155696f519533d52"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a518e283b3db6a55a155696f519533d52">&#9670;&nbsp;</a></span>nr_rsrp</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t mcm_modem_info::nr_rsrp</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>5G RSRP </p>

</div>
</div>
<a id="a9a93a0fff610bb61550adced4a086ff7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9a93a0fff610bb61550adced4a086ff7">&#9670;&nbsp;</a></span>nr_snr</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t mcm_modem_info::nr_snr</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>5G SNR </p>

</div>
</div>
<a id="a6f26588354e963ac73118a7a7accdcb6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6f26588354e963ac73118a7a7accdcb6">&#9670;&nbsp;</a></span>operator[32]</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char mcm_modem_info::operator[32]</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>operator </p>

</div>
</div>
<a id="a253299cd4ce7b8ca1820ea6fa28cbb9d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a253299cd4ce7b8ca1820ea6fa28cbb9d">&#9670;&nbsp;</a></span>pin_retries</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t mcm_modem_info::pin_retries</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>pin retries </p>

</div>
</div>
<a id="a01a3b89aec45fe3d7a2203e8a629df42"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a01a3b89aec45fe3d7a2203e8a629df42">&#9670;&nbsp;</a></span>signal_strength</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t mcm_modem_info::signal_strength</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>signal strength </p>

</div>
</div>
<a id="a43af76995a662081cfd4dcf84b3c3069"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a43af76995a662081cfd4dcf84b3c3069">&#9670;&nbsp;</a></span>sim_iccid</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char mcm_modem_info::sim_iccid[32]</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>sim iccid </p>

</div>
</div>
<a id="af459e1c64a5c79b5fd1beb4aa6c51361"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af459e1c64a5c79b5fd1beb4aa6c51361">&#9670;&nbsp;</a></span>sim_imsi</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char mcm_modem_info::sim_imsi[16]</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>sim imsi </p>

</div>
</div>
<a id="a77d71118b5d930ca2f8b6a6a65d9ffda"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a77d71118b5d930ca2f8b6a6a65d9ffda">&#9670;&nbsp;</a></span>sim_slot</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t mcm_modem_info::sim_slot</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>sim slot </p>

</div>
</div>
<a id="a1bfc9ca217a1f7ff211f9cf2bea72a4f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1bfc9ca217a1f7ff211f9cf2bea72a4f">&#9670;&nbsp;</a></span>taclac</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char mcm_modem_info::taclac[16]</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>taclac </p>

</div>
</div>
<a id="aa8068f0cee56b44687d574f34d313501"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa8068f0cee56b44687d574f34d313501">&#9670;&nbsp;</a></span>umts_ecio</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t mcm_modem_info::umts_ecio</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>3G RSRP </p>

</div>
</div>
<a id="aad28ac10c9948b450f48f10b362fc450"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aad28ac10c9948b450f48f10b362fc450">&#9670;&nbsp;</a></span>umts_rssi</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t mcm_modem_info::umts_rssi</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>3G RSSI </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="mcm-base-info_8h_source.html">mcm-base-info.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="structmcm__modem__info.html">mcm_modem_info</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
